Public Class frmErrorLog

    Private Sub cmdLogText_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles cmdLogText.Click
        Logger.Entry("Hi!").Add("I am a Logging-Entry")
        'andere Schreibweise mit selbem Ergebnis:
        'Logger.Entry("Hi", Lf, "I am a Logging-Entry")
    End Sub

    Private Sub cmdLogWithTimestamp_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles cmdLogWithTimestamp.Click
        'Timestamp anfgen ist so einfach, dass ich nicht mal eine extra Sub dafr spendiere
        Logger.Entry(Now).Add("Hi!").Add("I am a Logging-Entry with timestamp")
    End Sub

    Private Sub cmdLogException_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles cmdLogException.Click
        'Beispiel, eine gefangene Exception zu loggen (mit Timestamp)
        Try
            Dim Lb As Label = DirectCast(sender, Label)
        Catch ex As Exception
            Logger.Entry(Now).Add(ex)
        End Try
    End Sub

    Private Sub cmdUnhandledException_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles cmdUnhandledException.Click
        'Dieser Fehler wird in den globalen ApplicationEvents behandelt werden
        Dim Lb As Label = DirectCast(sender, Label)
    End Sub

    Private Sub cmdOpenLog_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles cmdOpenLog.Click
        Logger.OpenLogFile()
    End Sub

End Class
